local M = {}
M.type = "auxiliary"
M.relevantDevice = nil

electrics.values.rickroll = 0
local volume = 5
local rickrollNodeID = 0

local sounds = {
	rickroll = nil,
}

local function init(jbeamData)
	electrics.values.rickroll = 1
	volume = 9999
	if jbeamData.rickrollNode_nodes and type(jbeamData.rickrollNode_nodes) == "table" then
		rickroll = jbeamData.rickrollNode_nodes[1]
	end
end

local function onReset()
	electrics.values.rickroll = 0
	volume = 9999
end

local function updateGFX(dt)
	obj:setVolumePitch(sounds.rickroll, volume, 1)
	print("u got rickrolled")
end

local function initSounds()
    sounds.rickroll =
        obj:createSFXSource(
        "vehicles/fiestamk1_0/enginesounds.wav",
        "AudioDefaultLoop3D",
        "rickroll",
        rickrollNodeID
    )
end

M.init = init
M.initSounds = initSounds
M.onReset = onReset
M.updateGFX = updateGFX

return M